<div class="w-100-p">
    <br>
    <button (click)="prevPage()" mat-raised-button>Back</button>
    <br><br>
    <mat-form-field appearance="legacy">
        <mat-label>Filter Tanggal Masuk</mat-label>
        <input matInput type="text" name="search" (change)="filterData($event.target.value)" id="">
    </mat-form-field>
    <button (click)="captureScreen()" mat-raised-button color="primary">Print PDF</button>
    <button (click)="cetak('component')" mat-raised-button color="primary">Print</button>
    <table border="1" style="border-collapse: collapse;" id="contentReport" class="w-100-p">
        <tr>
            <th width="80">No Registrasi</th>
            <th width="100">Dokter</th>
            <th width="100">Jenis Playanan</th>
            <th width="80">Tanggal Masuk</th>
            <th width="80">Tanggal Keluar</th>
            <th width="80">Status</th>
            <th width="100">Diagnosa Utama</th>
            <th width="100">Obat Non Racik</th>
            <th width="100">Obat Racik</th>
        </tr>
        <tr *ngFor="let dp of filteredData$">
            <td style="padding: 10px;"> {{ dp.NoReg }}</td>
            <td style="padding: 10px;"> {{ dp.Dokter }}</td>
            <td style="padding: 10px;"> {{ dp.Jenis_Pelayanan }}</td>
            <td style="padding: 10px;"> {{ dp.TanggalMasuk }}</td>
            <td style="padding: 10px;"> {{ dp.TanggalKeluar }}</td>
            <td style="padding: 10px;"> {{ dp.Status }}</td>
            <td style="padding: 10px;"> {{ dp.diagUtama }}</td>
            <td style="padding: 5px;">
                <ul>
                    <li *ngFor="let onr of dp.obatNRacik">
                        {{ onr.Nm_Brg }}
                    </li>
                </ul>
            </td>
            <td style="padding: 5px;">
                <ul>
                    <li *ngFor="let or of dp.obatRacik">
                        {{ or.Nm_Brg }}
                    </li>
                </ul>
            </td>
        </tr>
    </table>
    <div hidden id='component'>
        <div class="page-header">
            Header
        </div>
        <div class="page-footer">
            Footer
        </div>

        <table width="100%">
            <thead>
                <tr>
                    <td>
                        <div class="page-header-space"></div>
                    </td>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <div class="page">
                            <table border="1" style="border-collapse: collapse;" class="w-100-p">
                                <tr>
                                    <th width="80">No Registrasi</th>
                                    <th width="100">Dokter</th>
                                    <th width="100">Jenis Playanan</th>
                                    <th width="80">Tanggal Masuk</th>
                                    <th width="80">Tanggal Keluar</th>
                                    <th width="80">Status</th>
                                    <th width="100">Diagnosa Utama</th>
                                    <th width="100">Obat Non Racik</th>
                                    <th width="100">Obat Racik</th>
                                </tr>
                                <tr *ngFor="let dp of filteredData$">
                                    <td style="padding: 10px;"> {{ dp.NoReg }}</td>
                                    <td style="padding: 10px;"> {{ dp.Dokter }}</td>
                                    <td style="padding: 10px;"> {{ dp.Jenis_Pelayanan }}</td>
                                    <td style="padding: 10px;"> {{ dp.TanggalMasuk }}</td>
                                    <td style="padding: 10px;"> {{ dp.TanggalKeluar }}</td>
                                    <td style="padding: 10px;"> {{ dp.Status }}</td>
                                    <td style="padding: 10px;"> {{ dp.diagUtama }}</td>
                                    <td style="padding: 5px;">
                                        <ul>
                                            <li *ngFor="let onr of dp.obatNRacik">
                                                {{ onr.Nm_Brg }}
                                            </li>
                                        </ul>
                                    </td>
                                    <td style="padding: 5px;">
                                        <ul>
                                            <li *ngFor="let or of dp.obatRacik">
                                                {{ or.Nm_Brg }}
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </td>
                </tr>
            </tbody>
            <tfoot>
                <tr>
                    <td>
                        <div class="page-footer-space"></div>
                    </td>
                </tr>
            </tfoot>
        </table>
    </div>
</div>